Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002305KdenliveFile Loadingpublic2011-09-08 21:012011-11-01 18:56
ReporterDaveAttacks 
Assigned Tottill 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSUbuntuOS Version11.04
Product VersionRecent git 
Target VersionFixed in Version0.8.2 
Summary0002305: Crash when loading project file
DescriptionUsing kdenlive-0.8.1+svn20110908.r5862 from Sunab's PPA.

Loading a .kdenlive file by double-clicking or by File > Open results in a segfault crash.

Project file attached.

Doesn't seem to be related to 0002263, as the crash still happens with thumbnails disabled.
Steps To Reproduce1. Install from PPA.
2. Load pre-existing project.
3. Crash.
Additional InformationApplication: kdenlive (0.8.1)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-11-generic x86_64
Distribution: Ubuntu 11.04

The crash can be reproduced every time.

-- Backtrace:
Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f5094f497a0 (LWP 4810))]

Thread 4 (Thread 0x7f5085525700 (LWP 4811)):
#0 0x00007f508edeaf03 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1 0x00007f508deff104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000002 0x00007f508deff9f2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000003 0x00007f5085e84c44 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
0000004 0x00007f508df263e4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007f50929ead8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000006 0x00007f508edf804d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000007 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f507a075700 (LWP 4812)):
#0 0x00007f50929eff2b in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1 0x00007f508e3b5392 in ?? () from /usr/lib/x86_64-linux-gnu/libgthread-2.0.so.0
0000002 0x00007f508ded42af in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000003 0x00007f508ded4ca9 in g_async_queue_timed_pop () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000004 0x00007f508df28a5a in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000005 0x00007f508df263e4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000006 0x00007f50929ead8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000007 0x00007f508edf804d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000008 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f5067afd700 (LWP 4813)):
#0 0x00007f50929efbac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1 0x00007f50926bc2a2 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f50929d5180) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
0000002 0x00007f50926bc2d9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f50929e3254) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
0000003 0x00007f50929ead8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000004 0x00007f508edf804d in clone () from /lib/x86_64-linux-gnu/libc.so.6
0000005 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f5094f497a0 (LWP 4810)):
[KCrash Handler]
0000006 QDomDocumentPrivate::importNode (this=0x30cbc70, importedNode=0x0, deep=true) at dom/qdom.cpp:6400
0000007 0x00007f5090ea43fe in QDomDocument::importNode (this=0x7fff3da77320, importedNode=..., deep=true) at dom/qdom.cpp:7115
0000008 0x000000000069ab12 in DocumentValidator::updateEffects (this=0x7fff3da77dd0) at /build/buildd/kdenlive-0.8.1+svn20110908.r5862/src/documentvalidator.cpp:1101
0000009 0x000000000069b35c in DocumentValidator::validate (this=0x7fff3da77dd0, currentVersion=0.88) at /build/buildd/kdenlive-0.8.1+svn20110908.r5862/src/documentvalidator.cpp:186
0000010 0x00000000004dfc90 in KdenliveDoc::KdenliveDoc (this=0x339b0c0, url=..., projectFolder=<value optimized out>, undoGroup=<value optimized out>, profileName=..., properties=<value optimized out>, tracks=..., render=0x2652ce0, notes=0x29b7f30, openBackup=0x7fff3da7911f, parent=0x23c9b30, progressDialog=0x7fff3da78ee0) at /build/buildd/kdenlive-0.8.1+svn20110908.r5862/src/kdenlivedoc.cpp:156
0000011 0x0000000000476e4e in MainWindow::doOpenFile (this=0x23c9b30, url=..., stale=0x0) at /build/buildd/kdenlive-0.8.1+svn20110908.r5862/src/mainwindow.cpp:2047
0000012 0x000000000047983a in MainWindow::openFile (this=0x23c9b30, url=...) at /build/buildd/kdenlive-0.8.1+svn20110908.r5862/src/mainwindow.cpp:2024
0000013 0x0000000000479b6b in MainWindow::openFile (this=0x23c9b30) at /build/buildd/kdenlive-0.8.1+svn20110908.r5862/src/mainwindow.cpp:1949
0000014 0x000000000047b960 in MainWindow::qt_metacall (this=0x23c9b30, _c=QMetaObject::InvokeMetaMethod, _id=11, _a=0x7fff3da79700) at /build/buildd/kdenlive-0.8.1+svn20110908.r5862/build/src/cmake_bindir/mainwindow.moc:399
0000015 0x00007f50941255f8 in QMetaObject::activate (sender=0x2784cc0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
0000016 0x00007f509412b34f in QSingleShotTimer::timerEvent (this=0x2784cc0) at kernel/qtimer.cpp:308
0000017 0x00007f50941241c9 in QObject::event (this=0x2784cc0, e=<value optimized out>) at kernel/qobject.cpp:1190
0000018 0x00007f508fc589f4 in QApplicationPrivate::notify_helper (this=0x21b5750, receiver=0x2784cc0, e=0x7fff3da79e10) at kernel/qapplication.cpp:4462
0000019 0x00007f508fc5d3ba in QApplication::notify (this=<value optimized out>, receiver=0x2784cc0, e=0x7fff3da79e10) at kernel/qapplication.cpp:4341
0000020 0x00007f5093b96866 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000021 0x00007f509411049c in QCoreApplication::notifyInternal (this=0x7fff3da7a0f0, receiver=0x2784cc0, event=0x7fff3da79e10) at kernel/qcoreapplication.cpp:731
0000022 0x00007f509413df12 in sendEvent (this=0x21b9e50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
0000023 QTimerInfoList::activateTimers (this=0x21b9e50) at kernel/qeventdispatcher_unix.cpp:604
0000024 0x00007f509413ad18 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
0000025 idleTimerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:231
0000026 0x00007f508defebcd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000027 0x00007f508deff3a8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000028 0x00007f508deff639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000029 0x00007f509413b3ef in QEventDispatcherGlib::processEvents (this=0x2168340, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
0000030 0x00007f508fd024de in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
0000031 0x00007f509410f882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
0000032 0x00007f509410fabc in QEventLoop::exec (this=0x7fff3da7a080, flags=...) at kernel/qeventloop.cpp:201
0000033 0x00007f5094113ecb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
0000034 0x000000000045945b in main (argc=6, argv=<value optimized out>) at /build/buildd/kdenlive-0.8.1+svn20110908.r5862/src/main.cpp:89

Report to http://kdenlive.org/mantis [^]
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files? file icon 100gunship_2011-08-28.kdenlive [^] (62,946 bytes) 2011-09-08 21:01

- Relationships

-  Notes
(0007288)
DaveAttacks (reporter)
2011-09-08 21:16

Opening a project file created with this version of kdenlive doesn't cause a crash.
(0007289)
ttill (developer)
2011-09-08 22:19

I did some changes to the crash related code in svn r5864.
Could you please update and then test again? If it works also please make sure that the parameters of the levels effect remained unchanged.
(0007312)
DaveAttacks (reporter)
2011-09-11 15:51

Hi,

Fixed.

Just tested with 0.8.1+svn20110911.r5911-0ubuntu0~sunab~lucid1, and can load the project without crashing :-)

Thanks!

- Issue History
Date Modified Username Field Change
2011-09-08 21:01 DaveAttacks New Issue
2011-09-08 21:01 DaveAttacks File Added: 100gunship_2011-08-28.kdenlive
2011-09-08 21:16 DaveAttacks Note Added: 0007288
2011-09-08 22:19 ttill Note Added: 0007289
2011-09-08 22:19 ttill Assigned To => ttill
2011-09-08 22:19 ttill Status new => feedback
2011-09-11 15:51 DaveAttacks Note Added: 0007312
2011-09-11 15:51 DaveAttacks Status feedback => assigned
2011-09-11 16:22 ttill Status assigned => resolved
2011-09-11 16:22 ttill Fixed in Version => 0.8.2
2011-09-11 16:22 ttill Resolution open => fixed
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker